From ec6dfa5865b5ad5caf78f1b780cf06866758eb1c Mon Sep 17 00:00:00 2001
From: Octavio Alvarez <alvarezp@alvarezp.ods.org>
Date: Mon, 14 Jan 2013 19:19:56 -0800
Subject: [PATCH] $selected was not properly reinitialized in dialup_admin

This was making weird behavior when a user was member of
multiple groups.
---
 dialup_admin/htdocs/user_edit.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/dialup_admin/htdocs/user_edit.php b/dialup_admin/htdocs/user_edit.php
index 0f8e9d7..0dc4083 100644
--- a/dialup_admin/htdocs/user_edit.php
+++ b/dialup_admin/htdocs/user_edit.php
@@ -144,7 +144,6 @@ EOM;
 		if ($name == 'none')
 			continue;
 		unset($vals);
-		unset($selected);
 		unset($ops);
 		$def_added = 0;
 		if ($item_vals["$key"][count]){
@@ -179,6 +178,7 @@ EOM;
 
 		$i = 0;
 		foreach($vals as $val){
+			unset($selected);
 			$name1 = $name . $i;
 			$val = preg_replace('/"/','&quot;',$val);
 			$oper_name = $name1 . '_op';
-- 
1.7.5.4

